> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/observability/monitoring-service/key/rotate-key.md).

# Rotate Key

Rotates the monitoring pipeline key, invalidating the previous one. The new key is returned only in this response and cannot be retrieved again.

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"tags":[{"name":"Key","description":"Rotates the monitoring pipeline key, invalidating the previous one. The new key is returned only by the key rotation operation and cannot be retrieved again.\nThis tag groups all operations for key.\n"}],"servers":[{"url":"https://monitoring.de-fra.ionos.com","description":"service endpoint for location de-fra"},{"url":"https://monitoring.de-txl.ionos.com","description":"service endpoint for location de-txl"},{"url":"https://monitoring.es-vit.ionos.com","description":"service endpoint for location es-vit"},{"url":"https://monitoring.gb-bhx.ionos.com","description":"service endpoint for location gb-bhx"},{"url":"https://monitoring.gb-lhr.ionos.com","description":"service endpoint for location gb-lhr"},{"url":"https://monitoring.fr-par.ionos.com","description":"service endpoint for location fr-par"},{"url":"https://monitoring.us-mci.ionos.com","description":"service endpoint for location us-mci"},{"url":"https://monitoring.us-ewr.ionos.com","description":"service endpoint for location us-ewr"},{"url":"https://monitoring.us-las.ionos.com","description":"service endpoint for location us-las"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"schemas":{"KeyRead":{"type":"object","description":"Contains the newly generated pipeline key, returned only by the key rotation operation. The value cannot be retrieved again later.\n","required":["key"],"properties":{"key":{"type":"string","description":"The key is shared once and is used to authenticate the metrics sent to the pipeline.\n"}}},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/pipelines/{pipelineId}/key":{"post":{"operationId":"pipelinesKeyPost","summary":"Rotate Key","tags":["Key"],"description":"Rotates the monitoring pipeline key, invalidating the previous one. The new key is returned only in this response and cannot be retrieved again.\n","parameters":[{"name":"pipelineId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the Pipeline."}],"responses":{"201":{"description":"Rotate Key succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KeyRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/observability/monitoring-service/key/rotate-key.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
